diff -crBPN --exclude=wp-config.php --exclude=.htaccess-inst --exclude=wordpress.sql --exclude=.htaccess.inst --exclude=wp-config.php --exclude=wordpress.sql --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.3.pl ./wordpress-3.2.1/wp-includes/js/wp-pointer.dev.js ./wordpress-3.3/wp-includes/js/wp-pointer.dev.js
*** ./wordpress-3.2.1/wp-includes/js/wp-pointer.dev.js	1969-12-31 18:00:00.000000000 -0600
--- ./wordpress-3.3/wp-includes/js/wp-pointer.dev.js	2011-11-29 13:43:24.000000000 -0600
***************
*** 0 ****
--- 1,281 ----
+ /**
+  * Pointer jQuery widget.
+  */
+ (function($){
+ 	var identifier = 0,
+ 		zindex = 9999;
+ 
+ 	$.widget("wp.pointer", {
+ 		options: {
+ 			pointerClass: 'wp-pointer',
+ 			pointerWidth: 320,
+ 			content: function( respond, event, t ) {
+ 				return $(this).text();
+ 			},
+ 			buttons: function( event, t ) {
+ 				var close  = ( wpPointerL10n ) ? wpPointerL10n.dismiss : 'Dismiss',
+ 					button = $('<a class="close" href="#">' + close + '</a>');
+ 
+ 				return button.bind( 'click.pointer', function(e) {
+ 					e.preventDefault();
+ 					t.element.pointer('close');
+ 				});
+ 			},
+ 			position: 'top',
+ 			show: function( event, t ) {
+ 				t.pointer.show();
+ 				t.opened();
+ 			},
+ 			hide: function( event, t ) {
+ 				t.pointer.hide();
+ 				t.closed();
+ 			},
+ 			document: document
+ 		},
+ 
+ 		_create: function() {
+ 			var positioning,
+ 				family;
+ 
+ 			this.content = $('<div class="wp-pointer-content"></div>');
+ 			this.arrow   = $('<div class="wp-pointer-arrow"><div class="wp-pointer-arrow-inner"></div></div>');
+ 
+ 			family = this.element.parents().add( this.element );
+ 			positioning = 'absolute';
+ 
+ 			if ( family.filter(function(){ return 'fixed' === $(this).css('position'); }).length )
+ 				positioning = 'fixed';
+ 
+ 
+ 			this.pointer = $('<div />')
+ 				.append( this.content )
+ 				.append( this.arrow )
+ 				.attr('id', 'wp-pointer-' + identifier++)
+ 				.addClass( this.options.pointerClass )
+ 				.css({'position': positioning, 'width': this.options.pointerWidth+'px', 'display': 'none'})
+ 				.appendTo( this.options.document.body );
+ 		},
+ 
+ 		_setOption: function( key, value ) {
+ 			var o   = this.options,
+ 				tip = this.pointer;
+ 
+ 			// Handle document transfer
+ 			if ( key === "document" && value !== o.document ) {
+ 				tip.detach().appendTo( value.body );
+ 
+ 			// Handle class change
+ 			} else if ( key === "pointerClass" ) {
+ 				tip.removeClass( o.pointerClass ).addClass( value );
+ 			}
+ 
+ 			// Call super method.
+ 			$.Widget.prototype._setOption.apply( this, arguments );
+ 
+ 			// Reposition automatically
+ 			if ( key === "position" ) {
+ 				this.reposition();
+ 
+ 			// Update content automatically if pointer is open
+ 			} else if ( key === "content" && this.active ) {
+ 				this.update();
+ 			}
+ 		},
+ 
+ 		destroy: function() {
+ 			this.pointer.remove();
+ 			$.Widget.prototype.destroy.call( this );
+ 		},
+ 
+ 		widget: function() {
+ 			return this.pointer;
+ 		},
+ 
+ 		update: function( event ) {
+ 			var self = this,
+ 				o    = this.options,
+ 				dfd  = $.Deferred(),
+ 				content;
+ 
+ 			if ( o.disabled )
+ 				return;
+ 
+ 			dfd.done( function( content ) {
+ 				self._update( event, content );
+ 			})
+ 
+ 			// Either o.content is a string...
+ 			if ( typeof o.content === 'string' ) {
+ 				content = o.content;
+ 
+ 			// ...or o.content is a callback.
+ 			} else {
+ 				content = o.content.call( this.element[0], dfd.resolve, event, this._handoff() );
+ 			}
+ 
+ 			// If content is set, then complete the update.
+ 			if ( content )
+ 				dfd.resolve( content );
+ 
+ 			return dfd.promise();
+ 		},
+ 
+ 		/**
+ 		 * Update is separated into two functions to allow events to defer
+ 		 * updating the pointer (e.g. fetch content with ajax, etc).
+ 		 */
+ 		_update: function( event, content ) {
+ 			var buttons,
+ 				o = this.options;
+ 
+ 			if ( ! content )
+ 				return;
+ 
+ 			this.pointer.stop(); // Kill any animations on the pointer.
+ 			this.content.html( content );
+ 
+ 			buttons = o.buttons.call( this.element[0], event, this._handoff() );
+ 			if ( buttons ) {
+ 				buttons.wrap('<div class="wp-pointer-buttons" />').parent().appendTo( this.content );
+ 			}
+ 
+ 			this.reposition();
+ 		},
+ 
+ 		reposition: function() {
+ 			var position;
+ 
+ 			if ( this.options.disabled )
+ 				return;
+ 
+ 			position = this._processPosition( this.options.position );
+ 
+ 			// Reposition pointer.
+ 			this.pointer.css({
+ 				top: 0,
+ 				left: 0,
+ 				zIndex: zindex++ // Increment the z-index so that it shows above other opened pointers.
+ 			}).show().position($.extend({
+ 				of: this.element
+ 			}, position )); // the object comes before this.options.position so the user can override position.of.
+ 
+ 			this.repoint();
+ 		},
+ 
+ 		repoint: function() {
+ 			var o = this.options,
+ 				edge;
+ 
+ 			if ( o.disabled )
+ 				return;
+ 
+ 			edge = ( typeof o.position == 'string' ) ? o.position : o.position.edge;
+ 
+ 			// Remove arrow classes.
+ 			this.pointer[0].className = this.pointer[0].className.replace( /wp-pointer-[^\s'"]*/, '' );
+ 
+ 			// Add arrow class.
+ 			this.pointer.addClass( 'wp-pointer-' + edge );
+ 		},
+ 
+ 		_processPosition: function( position ) {
+ 			var opposite = {
+ 					top: 'bottom',
+ 					bottom: 'top',
+ 					left: 'right',
+ 					right: 'left'
+ 				},
+ 				result;
+ 
+ 			// If the position object is a string, it is shorthand for position.edge.
+ 			if ( typeof position == 'string' ) {
+ 				result = {
+ 					edge: position + ''
+ 				};
+ 			} else {
+ 				result = $.extend( {}, position );
+ 			}
+ 
+ 			if ( ! result.edge )
+ 				return result;
+ 
+ 			if ( result.edge == 'top' || result.edge == 'bottom' ) {
+ 				result.align = result.align || 'left';
+ 
+ 				result.at = result.at || result.align + ' ' + opposite[ result.edge ];
+ 				result.my = result.my || result.align + ' ' + result.edge;
+ 			} else {
+ 				result.align = result.align || 'top';
+ 
+ 				result.at = result.at || opposite[ result.edge ] + ' ' + result.align;
+ 				result.my = result.my || result.edge + ' ' + result.align;
+ 			}
+ 
+ 			return result;
+ 		},
+ 
+ 		open: function( event ) {
+ 			var self = this,
+ 				o    = this.options;
+ 
+ 			if ( this.active || o.disabled || this.element.is(':hidden') )
+ 				return;
+ 
+ 			this.update().done( function() {
+ 				self._open( event );
+ 			});
+ 		},
+ 
+ 		_open: function( event ) {
+ 			var self = this,
+ 				o    = this.options;
+ 
+ 			if ( this.active || o.disabled || this.element.is(':hidden') )
+ 				return;
+ 
+ 			this.active = true;
+ 
+ 			this._trigger( "open", event, this._handoff() );
+ 
+ 			this._trigger( "show", event, this._handoff({
+ 				opened: function() {
+ 					self._trigger( "opened", event, self._handoff() );
+ 				}
+ 			}));
+ 		},
+ 
+ 		close: function( event ) {
+ 			if ( !this.active || this.options.disabled )
+ 				return;
+ 
+ 			var self = this;
+ 			this.active = false;
+ 
+ 			this._trigger( "close", event, this._handoff() );
+ 			this._trigger( "hide", event, this._handoff({
+ 				closed: function() {
+ 					self._trigger( "closed", event, self._handoff() );
+ 				}
+ 			}));
+ 		},
+ 
+ 		sendToTop: function( event ) {
+ 			if ( this.active )
+ 				this.pointer.css( 'z-index', zindex++ );
+ 		},
+ 
+ 		toggle: function( event ) {
+ 			if ( this.pointer.is(':hidden') )
+ 				this.open( event );
+ 			else
+ 				this.close( event );
+ 		},
+ 
+ 		_handoff: function( extend ) {
+ 			return $.extend({
+ 				pointer: this.pointer,
+ 				element: this.element
+ 			}, extend);
+ 		}
+ 	});
+ })(jQuery);
diff -crBPN --exclude=wp-config.php --exclude=.htaccess-inst --exclude=wordpress.sql --exclude=.htaccess.inst --exclude=wp-config.php --exclude=wordpress.sql --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.3.pl ./wordpress-3.2.1/wp-includes/kses.php ./wordpress-3.3/wp-includes/kses.php
*** ./wordpress-3.2.1/wp-includes/kses.php	2011-11-24 20:39:26.000000000 -0600
--- ./wordpress-3.3/wp-includes/kses.php	2011-10-01 10:54:52.000000000 -0500
***************
*** 500,506 ****
   * @return string Filtered content with only allowed HTML elements
   */
  function wp_kses($string, $allowed_html, $allowed_protocols = array ()) {
! 	$allowed_protocols = wp_parse_args( $allowed_protocols, apply_filters('kses_allowed_protocols', array ('http', 'https', 'ftp', 'ftps', 'mailto', 'news', 'irc', 'gopher', 'nntp', 'feed', 'telnet', 'mms', 'rtsp', 'svn') ));
  	$string = wp_kses_no_null($string);
  	$string = wp_kses_js_entities($string);
  	$string = wp_kses_normalize_entities($string);
--- 500,507 ----
   * @return string Filtered content with only allowed HTML elements
   */
  function wp_kses($string, $allowed_html, $allowed_protocols = array ()) {
! 	if ( empty( $allowed_protocols ) )
! 		$allowed_protocols = wp_allowed_protocols();
  	$string = wp_kses_no_null($string);
  	$string = wp_kses_js_entities($string);
  	$string = wp_kses_normalize_entities($string);
***************
*** 842,848 ****
   * Performs different checks for attribute values.
   *
   * The currently implemented checks are "maxlen", "minlen", "maxval", "minval"
!  * and "valueless" with even more checks to come soon.
   *
   * @since 1.0.0
   *
--- 843,849 ----
   * Performs different checks for attribute values.
   *
   * The currently implemented checks are "maxlen", "minlen", "maxval", "minval"
!  * and "valueless".
   *
   * @since 1.0.0
   *
***************
*** 887,893 ****
  			break;
  
  		case 'minval' :
! 			# The minval check checks that the attribute value is a positive integer,
  			# and that it is not smaller than the given value.
  
  			if (!preg_match('/^\s{0,6}[0-9]{1,6}\s{0,6}$/', $value))
--- 888,894 ----
  			break;
  
  		case 'minval' :
! 			# The minval check makes sure that the attribute value is a positive integer,
  			# and that it is not smaller than the given value.
  
  			if (!preg_match('/^\s{0,6}[0-9]{1,6}\s{0,6}$/', $value))
***************
*** 897,903 ****
  			break;
  
  		case 'valueless' :
! 			# The valueless check checks if the attribute has a value
  			# (like <a href="blah">) or not (<option selected>). If the given value
  			# is a "y" or a "Y", the attribute must not have a value.
  			# If the given value is an "n" or an "N", the attribute must have one.
--- 898,904 ----
  			break;
  
  		case 'valueless' :
! 			# The valueless check makes sure if the attribute has a value
  			# (like <a href="blah">) or not (<option selected>). If the given value
  			# is a "y" or a "Y", the attribute must not have a value.
  			# If the given value is an "n" or an "N", the attribute must have one.
***************
*** 954,967 ****
  /**
   * Strips slashes from in front of quotes.
   *
!  * This function changes the character sequence  \"  to just  ". It leaves all
   * other slashes alone. It's really weird, but the quoting from
   * preg_replace(//e) seems to require this.
   *
   * @since 1.0.0
   *
   * @param string $string String to strip slashes
!  * @return string Fixed strings with quoted slashes
   */
  function wp_kses_stripslashes($string) {
  	return preg_replace('%\\\\"%', '"', $string);
--- 955,968 ----
  /**
   * Strips slashes from in front of quotes.
   *
!  * This function changes the character sequence \" to just ". It leaves all
   * other slashes alone. It's really weird, but the quoting from
   * preg_replace(//e) seems to require this.
   *
   * @since 1.0.0
   *
   * @param string $string String to strip slashes
!  * @return string Fixed string with quoted slashes
   */
  function wp_kses_stripslashes($string) {
  	return preg_replace('%\\\\"%', '"', $string);
***************
*** 1042,1048 ****
   * Callback for wp_kses_bad_protocol_once() regular expression.
   *
   * This function processes URL protocols, checks to see if they're in the
!  * white-list or not, and returns different data depending on the answer.
   *
   * @access private
   * @since 1.0.0
--- 1043,1049 ----
   * Callback for wp_kses_bad_protocol_once() regular expression.
   *
   * This function processes URL protocols, checks to see if they're in the
!  * whitelist or not, and returns different data depending on the answer.
   *
   * @access private
   * @since 1.0.0
***************
*** 1119,1125 ****
  /**
   * Callback for wp_kses_normalize_entities() regular expression.
   *
!  * This function helps wp_kses_normalize_entities() to only accept 16 bit values
   * and nothing more for &#number; entities.
   *
   * @access private
--- 1120,1126 ----
  /**
   * Callback for wp_kses_normalize_entities() regular expression.
   *
!  * This function helps wp_kses_normalize_entities() to only accept 16-bit values
   * and nothing more for &#number; entities.
   *
   * @access private
***************
*** 1166,1172 ****
   * Helper function to determine if a Unicode value is valid.
   *
   * @param int $i Unicode value
!  * @return bool true if the value was a valid Unicode number
   */
  function valid_unicode($i) {
  	return ( $i == 0x9 || $i == 0xa || $i == 0xd ||
--- 1167,1173 ----
   * Helper function to determine if a Unicode value is valid.
   *
   * @param int $i Unicode value
!  * @return bool True if the value was a valid Unicode number
   */
  function valid_unicode($i) {
  	return ( $i == 0x9 || $i == 0xa || $i == 0xd ||
***************
*** 1342,1348 ****
   * will be added.
   *
   * First removes all of the Kses filters in case the current user does not need
!  * to have Kses filter the content. If the user does not have unfiltered html
   * capability, then Kses filters are added.
   *
   * @uses kses_remove_filters() Removes the Kses filters
--- 1343,1349 ----
   * will be added.
   *
   * First removes all of the Kses filters in case the current user does not need
!  * to have Kses filter the content. If the user does not have unfiltered_html
   * capability, then Kses filters are added.
   *
   * @uses kses_remove_filters() Removes the Kses filters
diff -crBPN --exclude=wp-config.php --exclude=.htaccess-inst --exclude=wordpress.sql --exclude=.htaccess.inst --exclude=wp-config.php --exclude=wordpress.sql --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.3.pl ./wordpress-3.2.1/wp-includes/l10n.php ./wordpress-3.3/wp-includes/l10n.php
*** ./wordpress-3.2.1/wp-includes/l10n.php	2011-11-24 20:39:26.000000000 -0600
--- ./wordpress-3.3/wp-includes/l10n.php	2011-10-25 00:09:03.000000000 -0500
***************
*** 16,22 ****
   * defined. Then it is filtered through the 'locale' filter hook and the value
   * for the locale global set and the locale is returned.
   *
!  * The process to get the locale should only be done once but the locale will
   * always be filtered using the 'locale' hook.
   *
   * @since 1.5.0
--- 16,22 ----
   * defined. Then it is filtered through the 'locale' filter hook and the value
   * for the locale global set and the locale is returned.
   *
!  * The process to get the locale should only be done once, but the locale will
   * always be filtered using the 'locale' hook.
   *
   * @since 1.5.0
***************
*** 36,44 ****
  		$locale = WPLANG;
  
  	// If multisite, check options.
! 	if ( is_multisite() && !defined('WP_INSTALLING') ) {
! 		$ms_locale = get_option('WPLANG');
! 		if ( $ms_locale === false )
  			$ms_locale = get_site_option('WPLANG');
  
  		if ( $ms_locale !== false )
--- 36,44 ----
  		$locale = WPLANG;
  
  	// If multisite, check options.
! 	if ( is_multisite() ) {
! 		// Don't check blog option when installing.
! 		if ( defined( 'WP_INSTALLING' ) || ( false === $ms_locale = get_option( 'WPLANG' ) ) )
  			$ms_locale = get_site_option('WPLANG');
  
  		if ( $ms_locale !== false )
***************
*** 53,59 ****
  
  /**
   * Retrieves the translation of $text. If there is no translation, or
!  * the domain isn't loaded the original text is returned.
   *
   * @see __() Don't use translate() directly, use __()
   * @since 2.2.0
--- 53,59 ----
  
  /**
   * Retrieves the translation of $text. If there is no translation, or
!  * the domain isn't loaded, the original text is returned.
   *
   * @see __() Don't use translate() directly, use __()
   * @since 2.2.0
***************
*** 84,90 ****
  
  /**
   * Retrieves the translation of $text. If there is no translation, or
!  * the domain isn't loaded the original text is returned.
   *
   * @see translate() An alias of translate()
   * @since 2.1.0
--- 84,90 ----
  
  /**
   * Retrieves the translation of $text. If there is no translation, or
!  * the domain isn't loaded, the original text is returned.
   *
   * @see translate() An alias of translate()
   * @since 2.1.0
***************
*** 99,105 ****
  
  /**
   * Retrieves the translation of $text and escapes it for safe use in an attribute.
!  * If there is no translation, or the domain isn't loaded the original text is returned.
   *
   * @see translate() An alias of translate()
   * @see esc_attr()
--- 99,105 ----
  
  /**
   * Retrieves the translation of $text and escapes it for safe use in an attribute.
!  * If there is no translation, or the domain isn't loaded, the original text is returned.
   *
   * @see translate() An alias of translate()
   * @see esc_attr()
***************
*** 115,121 ****
  
  /**
   * Retrieves the translation of $text and escapes it for safe use in HTML output.
!  * If there is no translation, or the domain isn't loaded the original text is returned.
   *
   * @see translate() An alias of translate()
   * @see esc_html()
--- 115,121 ----
  
  /**
   * Retrieves the translation of $text and escapes it for safe use in HTML output.
!  * If there is no translation, or the domain isn't loaded, the original text is returned.
   *
   * @see translate() An alias of translate()
   * @see esc_html()
***************
*** 177,183 ****
   * found in more than two places but with different translated context.
   *
   * By including the context in the pot file translators can translate the two
!  * string differently.
   *
   * @since 2.8.0
   *
--- 177,183 ----
   * found in more than two places but with different translated context.
   *
   * By including the context in the pot file translators can translate the two
!  * strings differently.
   *
   * @since 2.8.0
   *
***************
*** 257,263 ****
  /**
   * Register plural strings in POT file, but don't translate them.
   *
!  * Used when you want do keep structures with translatable plural strings and
   * use them later.
   *
   * Example:
--- 257,263 ----
  /**
   * Register plural strings in POT file, but don't translate them.
   *
!  * Used when you want to keep structures with translatable plural strings and
   * use them later.
   *
   * Example:
***************
*** 291,298 ****
   * Translate the result of _n_noop() or _nx_noop()
   *
   * @since 3.1
!  * @param array $nooped_plural array with singular, plural and context keys, usually the result of _n_noop() or _nx_noop()
!  * @param int $count number of objects
   * @param string $domain Optional. The domain identifier the text should be retrieved in
   */
  function translate_nooped_plural( $nooped_plural, $count, $domain = 'default' ) {
--- 291,298 ----
   * Translate the result of _n_noop() or _nx_noop()
   *
   * @since 3.1
!  * @param array $nooped_plural Array with singular, plural and context keys, usually the result of _n_noop() or _nx_noop()
!  * @param int $count Number of objects
   * @param string $domain Optional. The domain identifier the text should be retrieved in
   */
  function translate_nooped_plural( $nooped_plural, $count, $domain = 'default' ) {
***************
*** 316,322 ****
   *
   * @param string $domain Unique identifier for retrieving translated strings
   * @param string $mofile Path to the .mo file
!  * @return bool true on success, false on failure
   */
  function load_textdomain( $domain, $mofile ) {
  	global $l10n;
--- 316,322 ----
   *
   * @param string $domain Unique identifier for retrieving translated strings
   * @param string $mofile Path to the .mo file
!  * @return bool True on success, false on failure
   */
  function load_textdomain( $domain, $mofile ) {
  	global $l10n;
***************
*** 373,379 ****
   * Loads default translated strings based on locale.
   *
   * Loads the .mo file in WP_LANG_DIR constant path from WordPress root. The
!  * translated (.mo) file is named based off of the locale.
   *
   * @since 1.5.0
   */
--- 373,379 ----
   * Loads default translated strings based on locale.
   *
   * Loads the .mo file in WP_LANG_DIR constant path from WordPress root. The
!  * translated (.mo) file is named based on the locale.
   *
   * @since 1.5.0
   */
***************
*** 382,388 ****
  
  	load_textdomain( 'default', WP_LANG_DIR . "/$locale.mo" );
  
! 	if ( is_multisite() || ( defined( 'WP_NETWORK_ADMIN_PAGE' ) && WP_NETWORK_ADMIN_PAGE ) ) {
  		load_textdomain( 'default', WP_LANG_DIR . "/ms-$locale.mo" );
  	}
  }
--- 382,388 ----
  
  	load_textdomain( 'default', WP_LANG_DIR . "/$locale.mo" );
  
! 	if ( is_multisite() || ( defined( 'WP_INSTALLING_NETWORK' ) && WP_INSTALLING_NETWORK ) ) {
  		load_textdomain( 'default', WP_LANG_DIR . "/ms-$locale.mo" );
  	}
  }
***************
*** 398,404 ****
   * @param string $domain Unique identifier for retrieving translated strings
   * @param string $abs_rel_path Optional. Relative path to ABSPATH of a folder,
   * 	where the .mo file resides. Deprecated, but still functional until 2.7
!  * @param string $plugin_rel_path Optional. Relative path to WP_PLUGIN_DIR. This is the preferred argument to use. It takes precendence over $abs_rel_path
   */
  function load_plugin_textdomain( $domain, $abs_rel_path = false, $plugin_rel_path = false ) {
  	$locale = apply_filters( 'plugin_locale', get_locale(), $domain );
--- 398,404 ----
   * @param string $domain Unique identifier for retrieving translated strings
   * @param string $abs_rel_path Optional. Relative path to ABSPATH of a folder,
   * 	where the .mo file resides. Deprecated, but still functional until 2.7
!  * @param string $plugin_rel_path Optional. Relative path to WP_PLUGIN_DIR. This is the preferred argument to use. It takes precedence over $abs_rel_path
   */
  function load_plugin_textdomain( $domain, $abs_rel_path = false, $plugin_rel_path = false ) {
  	$locale = apply_filters( 'plugin_locale', get_locale(), $domain );
***************
*** 422,429 ****
   * @since 3.0.0
   *
   * @param string $domain Unique identifier for retrieving translated strings
!  * @param strings $mu_plugin_rel_path Relative to WPMU_PLUGIN_DIR directory in which
!  * the MO file resides. Defaults is empty string.
   */
  function load_muplugin_textdomain( $domain, $mu_plugin_rel_path = '' ) {
  	$locale = apply_filters( 'plugin_locale', get_locale(), $domain );
--- 422,429 ----
   * @since 3.0.0
   *
   * @param string $domain Unique identifier for retrieving translated strings
!  * @param string $mu_plugin_rel_path Relative to WPMU_PLUGIN_DIR directory in which
!  * the MO file resides. Defaults to empty string.
   */
  function load_muplugin_textdomain( $domain, $mu_plugin_rel_path = '' ) {
  	$locale = apply_filters( 'plugin_locale', get_locale(), $domain );
***************
*** 483,489 ****
  function &get_translations_for_domain( $domain ) {
  	global $l10n;
  	if ( !isset( $l10n[$domain] ) ) {
! 		$l10n[$domain] = &new NOOP_Translations;
  	}
  	return $l10n[$domain];
  }
--- 483,489 ----
  function &get_translations_for_domain( $domain ) {
  	global $l10n;
  	if ( !isset( $l10n[$domain] ) ) {
! 		$l10n[$domain] = new NOOP_Translations;
  	}
  	return $l10n[$domain];
  }
***************
*** 520,526 ****
   * @since 3.0.0
   *
   * @param string $dir A directory in which to search for language files. The default directory is WP_LANG_DIR.
!  * @return array Array of language codes or an empty array if no languages are present.  Language codes are formed by stripping the .mo extension from the language file names.
   */
  function get_available_languages( $dir = null ) {
  	$languages = array();
--- 520,526 ----
   * @since 3.0.0
   *
   * @param string $dir A directory in which to search for language files. The default directory is WP_LANG_DIR.
!  * @return array Array of language codes or an empty array if no languages are present. Language codes are formed by stripping the .mo extension from the language file names.
   */
  function get_available_languages( $dir = null ) {
  	$languages = array();
